<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoGoal::IntegrandInput Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structOpenSim_1_1MocoGoal_1_1IntegrandInput.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="structOpenSim_1_1MocoGoal_1_1IntegrandInput-members.html">List of all members</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoGoal::IntegrandInput Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2687a5617965b17c2b750ae70b835906"><td class="memItemLeft" align="right" valign="top">const SimTK::Real &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#a2687a5617965b17c2b750ae70b835906">time</a></td></tr>
<tr class="memdesc:a2687a5617965b17c2b750ae70b835906"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time is available regardless of the stage dependency.  <a href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#a2687a5617965b17c2b750ae70b835906">More...</a><br /></td></tr>
<tr class="separator:a2687a5617965b17c2b750ae70b835906"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63f812b4813c63903c369600003937c4"><td class="memItemLeft" align="right" valign="top">const SimTK::State &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#a63f812b4813c63903c369600003937c4">state</a></td></tr>
<tr class="memdesc:a63f812b4813c63903c369600003937c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time in the state is only updated if the stage requirement is SimTK::Stage::Time or greater.  <a href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#a63f812b4813c63903c369600003937c4">More...</a><br /></td></tr>
<tr class="separator:a63f812b4813c63903c369600003937c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c1d223d49f1e8b4b424b05f50d4fb4"><td class="memItemLeft" align="right" valign="top">const SimTK::Vector &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#aa9c1d223d49f1e8b4b424b05f50d4fb4">controls</a></td></tr>
<tr class="memdesc:aa9c1d223d49f1e8b4b424b05f50d4fb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Controls are available with a stage requirement of SimTK::Stage::Model.  <a href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html#aa9c1d223d49f1e8b4b424b05f50d4fb4">More...</a><br /></td></tr>
<tr class="separator:aa9c1d223d49f1e8b4b424b05f50d4fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa9c1d223d49f1e8b4b424b05f50d4fb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9c1d223d49f1e8b4b424b05f50d4fb4">&#9670;&nbsp;</a></span>controls</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Vector&amp; OpenSim::MocoGoal::IntegrandInput::controls</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Controls are available with a stage requirement of SimTK::Stage::Model. </p>
<p>If you only need to access the controls, use this field. This vector has length Model::getNumControls(), and has slots for disabled actuators. The function createControlNamesForModel() provides data structures that can be indexed in the same way as this field. Use this field rather than Model::getControls(). </p>

</div>
</div>
<a id="a63f812b4813c63903c369600003937c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63f812b4813c63903c369600003937c4">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::State&amp; OpenSim::MocoGoal::IntegrandInput::state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The time in the state is only updated if the stage requirement is SimTK::Stage::Time or greater. </p>
<p>If you need access to the state variables, you must set a stage requirement of SimTK::Stage::Time. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1MocoGoal.html#af5f21ef76eb2e08397aa40bac99eecff">OpenSim::MocoGoal::calcIntegrand()</a>.</p>

</div>
</div>
<a id="a2687a5617965b17c2b750ae70b835906"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2687a5617965b17c2b750ae70b835906">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Real&amp; OpenSim::MocoGoal::IntegrandInput::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Time is available regardless of the stage dependency. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>OpenSim/Moco/MocoGoal/MocoGoal.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoGoal.html">MocoGoal</a></li><li class="navelem"><a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html">IntegrandInput</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:25 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
